Package com.sun.jna.platform.win32

# Class OaIdl.DISPID

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.WinDef.LONG
com.sun.jna.platform.win32.OaIdl.DISPID

All Implemented Interfaces:
  `NativeMapped`, `Serializable`, `Comparable<WinDef.LONG>`

Direct Known Subclasses:
  `OaIdl.MEMBERID`

Enclosing interface:
  OaIdl

public static class OaIdl.DISPID extends WinDef.LONG
The Class DISPID.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.WinDef.LONG

  `SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DISPID()`
  `DISPID(int value)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.WinDef.LONG

  `compareTo`

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DISPID

    public DISPID()

  - ### DISPID

    public DISPID(int value)